https://pantsbuild.org/ logo
#general
Title
# general
e

elegant-nightfall-29735

02/13/2020, 5:48 PM
I’m running everything with Gitlab CI. The error is happening as part of this:
Copy code
.test_base:
    image:
        name: docker/compose:1.25.1
        entrypoint: ["/bin/sh", "-c"]
    extends: .dind
    variables:
        DOCKER_HOST: <tcp://localhost:2375>
    before_script:
        - docker info
        - docker-compose --version
        - apk add --update libffi-dev linux-headers musl-dev python3 py3-pip gcc bash curl
#        - apk add --update libffi-dev linux-headers musl-dev python3-dev py3-pip gcc bash curl
        - pip3 install --upgrade pip
        - which pip
        - pip --version
        - echo $PATH
        - export PATH=$PATH:/usr/lib/:/root/
        - echo $PATH
        # It appears that theres usr/lib/python3.7 and usr/bin/python3.7
        - which python3.7
        - alias python=python3.7
        - export VERSION=$(cat VERSION)-build${CI_PIPELINE_ID}
        - docker login $DOCKER_REGISTRY -u $DOCKER_USER -p $DOCKER_PASS
        - curl -L -O <https://pantsbuild.github.io/setup/pants> && chmod +x pants
        - ./pants --version
        - 'printf "[GLOBAL]\npants_version: $(./pants --version)\n" > pants.ini'
        - pip3.7 install --disable-pip-version-check --cache-dir=.pip -r requirements.txt
    tags:
    - linux
    timeout: 15m
    artifacts:
      name: "$CI_COMMIT_REF_NAME"
      when: always
      paths:
        - logs
        - pants.ini
      expire_in: 1 week
It happens on
./pants --version
10 Views